<?php
/**
 * This script should be run once per hour as a cron job.
 * It should under no circumstance be executed from the webserver.
 */

/**
 * Insert your API credentials here.
 */
$website_id = null;
$api_key = null;


/**
 * Import and instantiate the Yavli Resilience class and set credentials.
 */
require_once("YResilience-API.php");
$yr = New YResilience_API();
$yr->set_credentials($website_id, $api_key);

/**
 * Refresh the Yavli ad server code. Note, this should only be done in server-side
 * cron-executed scripts. It should never be done in scripts executed directly
 * by your webserver.
 */
$success = $yr->refresh_ad_server_code();

if ($success == false) {
  print "Unable to refresh ad server code\n";
  print "Details:\n";
  print $yr->get_error_msg();
  die();
}

/**
 * Save the Yavli code locally.
 */
$yr->save_data();

print "Success: refreshed and saved Yavli Ad Server code.\n";
