<?php
/**
 * This script should incorporated into your website.
 */

/**
 * Import and instantiate the Yavli Resilience API class.
 */
require_once("YResilience-API.php");
$yr = New YResilience_API();

/**
 * The call to the Yavli API is done asynchronously by the cron job script.
 * All we need to do here is fetch the locally stored Yavli init code,
 * and display it in the footer or header section of your website HTML.
 *
 * Note that the actual Yavli Widget location on your pages is not dictated
 * by the location of this init code - it is controlled by Javascript logic
 * built into the widget code, and controlled by Yavli.
 */
try {
  $ad_server_code = $yr->get_ad_server_code();
} catch (Exception $e) {
  /**
   * Note: we recommend commenting out the throw statement below in production
   * environments. This will allow the plugin to fail silently if something
   * is wrong, instead of raising a PHP error.
   */
  throw $e;
}

print "Your current ad server code looks like this (truncated):\n";
print "---------------------------------------------\n";
print substr($ad_server_code, 0, 50) . "...[truncated for brevity]\n\n";

print "It should be included in your website HTML like this:\n";
print "-----------------------------------------------------\n";
print "
<html>
  <head>...</head>
  <body>
    <content>Your website content.</content>
    <footer>More of your content.</footer>

    [include Yavli Resilience Ad Server Code Here]

  </body>
</html>
\n";

?>
